Bug 884826 - ofpathname: Could not retrieve Open Firmware device path
ofpathname: Could not retrieve Open Firmware device path
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
ppc64 Linux
high Severity high
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18Blockerppc
  Show dependency treegraph
 
Reported: 2012-12-06 14:42 EST by Mark Hamzy
Modified: 2013-01-07 11:58 EST (History)
10 users (show)

See Also:
Fixed In Version: powerpc-utils-1.2.12-4.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 11:58:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add multipath support to ofpathname (844 bytes, patch)
2012-12-12 12:19 EST, Gustavo Luiz Duarte
no flags Details | Diff

  None (edit)
Description Mark Hamzy 2012-12-06 14:42:12 EST
On a Fedora-18-Beta-RC1.3-ppc64-DVD system, and during installation, the following error occurs:

[root@riley6 ~]# grep ofpathname /var/log/anaconda/anaconda.program.log 
11:50:29,798 INFO program: ofpathname: Could not retrieve Open Firmware device path
11:50:29,799 INFO program:             for logical device "/dev/mapper/mpatha1". ofpathname: Could not retrieve Open Firmware device path for logical device /dev/mapper/mpatha1. ofpathname: Could not retrieve Open Firmware device path for logical device /dev/mapper/mpatha1. ofpathname: Could not retrieve Open Firmware device path for logical device /dev/mapper/mpatha1. ofpathname: Could not retrieve Open Firmware device path for logical device /dev/mapper/mpatha1. ofpathname: Could not retrieve Open Firmware device path for logical device /dev/mapper/mpatha1. /vdevice/vfc-client@30000019/disk@500507630e820609,0007000000000000:1,yaboot /vdevice/vfc-client@3000001a/disk@500507630e020609,0007000000000000:1,yaboot /vdevice/vfc-client@30000019/disk@500507630e820609,0007000000000000 /vdevice/l-lan@3000000b:speed=auto,duplex=auto,9.114.22.112,,9.114.214.127,9.114.214.254,5,5,255.255.255.0,512
11:50:29,800 INFO program: Running... ofpathname /dev/mapper/mpatha1
11:50:30,055 INFO program: ofpathname: Could not retrieve Open Firmware device path
11:50:30,056 INFO program: Running... nvram --update-config boot-device=ofpathname: Could not retrieve Open Firmware device path
            for logical device "/dev/mapper/mpatha1". ofpathname: Could not retrieve Open Firmware device path for logical device /dev/mapper/mpatha1. ofpathname: Could not retrieve Open Firmware device path for logical device /dev/mapper/mpatha1. ofpathname: Could not retrieve Open Firmware device path for logical device /dev/mapper/mpatha1. ofpathname: Could not retrieve Open Firmware device path for logical device /dev/mapper/mpatha1. ofpathname: Could not retrieve Open Firmware device path for logical device /dev/mapper/mpatha1. ofpathname: Could not retrieve Open Firmware device path for logical device /dev/mapper/mpatha1. /vdevice/vfc-client@30000019/disk@500507630e820609,0007000000000000:1,yaboot /vdevice/vfc-client@3000001a/disk@500507630e020609,0007000000000000:1,yaboot /vdevice/vfc-client@30000019/disk@500507630e820609,0007000000000000 /vdevice/l-lan@3000000b:speed=auto,duplex=auto,9.114.22.112,,9.114.214.127,9.114.214.254,5,5,255.255.255.0,512

You can reproduce this with ofpathname:

[root@riley6 ~]# ofpathname /dev/mapper/mpathap1
ofpathname: Could not retrieve Open Firmware device path
            for logical device "/dev/mapper/mpathap1".
Comment 1 Gustavo Luiz Duarte 2012-12-10 14:32:42 EST
ofpathname currently does not handle dm devices, it cuts out lvm, multipath, luks, raid, etc. I will try to write a patch to add dm devices support to ofpathname, but given we don't have much time until final deadline it would be risky.

AFAIK, anaconda uses ofpathname only to set the boot-device. Is that right? In this case I think anaconda should be using the powerpc-utils' bootlist script, which does just that and has support for dm devices.

Could someone from the anaconda team comment on the possibility of anaconda switching to use bootlist instead of ofpathname?
Comment 2 Gustavo Luiz Duarte 2012-12-12 12:19:40 EST
Created attachment 662525 [details]
Add multipath support to ofpathname

This patch adds multipath support to ofpathname. This should fix the install issues on multipath devices.

Upstream maintainer has acked to get it pulled in. Please add it as a patch to the powerpc-utils package in Fedora.
Comment 3 Gustavo Luiz Duarte 2013-01-07 11:58:20 EST
powerpc-utils-1.2.12-4.fc18 fixes this bug, closing it.

Note You need to log in before you can comment on or make changes to this bug.